# spacepy.irbempy.get_AEP8

`spacepy.irbempy.``get_AEP8`(energy, loci, model='min', fluxtype='diff', particles='e')

  will return the flux from the AE8-AP8 model

  Parameters
    - energy (float)center energy in MeV; if fluxtype=RANGE, then needs to be a list [Emin, Emax]
      - loci (Coords)a Coords instance with the location inside the magnetosphere

          optional instead of a Coords instance, one can also provide a list with [BBo, L] combination

      - model (str) : MIN or MAX for solar cycle dependence

      - fluxtype (str) : DIFF, RANGE, INT are possible types

      - particles (str): e or p or electrons or protons

  Returns
    - float flux from AE8/AP8 model

  Examples

      >>> spacepy.irbempy.get_aep8()

      >>> import spacepy.time as spt
      >>> import spacepy.coordinates as spc
      >>> import spacepy.irbempy as ib
      >>> t = spt.Ticktock(['2017-02-02T12:00:00'], 'ISO')
      >>> y = spc.Coords([3,0,0], 'GEO', 'car')
      >>> y.ticks = t
      >>> energy = 1.0 #MeV
      >>> ib.get_AEP8(energy, y, model='max')
      1932209.4427359989